=== modified file 'dotgraph.py'
--- dotgraph.py	2005-09-01 14:11:13 +0000
+++ dotgraph.py	2005-09-01 15:06:52 +0000
@@ -5,6 +5,8 @@
 import os.path
 import errno
 
+mail_map = {}
+
 class NoDot(Exception):
     def __init__(self):
         Exception.__init__(self, "Can't find dot!")
@@ -18,17 +20,31 @@
         self.rev_id = rev_id
         self.node_style = []
 
-    def get_label(self):
-        label = None
+    def get_committer(self):
         if self.committer is not None:
-            label="%s\\n%s" % (self.name, self.committer)
+            if '@' in self.committer:
+                try:
+                    return mail_map[self.committer]
+                except KeyError:
+                    pass
+            return self.committer
         elif self.rev_id is not None:
             try:
-                first_segment = '-'.join(self.rev_id.split('-')[:-2])
+                first_segment = '-'.join(self.rev_id.split('-')[:-2])\
+                    .strip(' ')
             except ValueError:
                 first_segment = []
             if '@' in first_segment:
-                label="%s\\n%s" % (self.name, first_segment)
+                try:
+                    return mail_map[first_segment]
+                except KeyError:
+                    return first_segment
+
+    def get_label(self):
+        label = None
+        committer = self.get_committer()
+        if committer is not None:
+            label = "%s\\n%s" % (self.name, committer)
         return label
 
     def define(self):

=== modified file 'graph.py'
--- graph.py	2005-09-01 14:11:13 +0000
+++ graph.py	2005-09-01 15:06:52 +0000
@@ -1,9 +1,15 @@
-from dotgraph import Node, dot_output, invoke_dot, NoDot
+from dotgraph import Node, dot_output, invoke_dot, NoDot, mail_map
 from bzrlib.branch import Branch
 from bzrlib.errors import BzrCommandError
 import bzrlib.errors
 import re
 
+mail_map.update({'aaron.bentley@utoronto.ca'     : 'Aaron Bentley',
+                 'abentley@panoramicfeedback.com': 'Aaron Bentley',
+                 'john@arbash-meinel.com'        : 'John A. Meinel',
+                 'mbp@sourcefrog.net'            : 'Martin Pool'
+                })
+
 def add_relations(rev_id):
     if rev_id in ancestors:
         return

